Subject: Re: Broken dependencies for net-snmp-utils and perl-net-snmp
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Mon, 6 Sep 2021 21:53:16 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-06-24 02:14, Dan Andersson via Cygwin wrote:
> I'm having trouble installing net-snmp-utils-5.8-1.
> 
> When using Cygwin Setup and I attempt to install net-snmp-utils-5.8-1,
> I receive the following error when resolving dependencies:
> 
> Problem 1/1
> nothing provides perl5_026 needed by perl-net-snmp-5.7.2-2
> Solution 1/1 (default)
>    - do not ask to install net-snmp-utils-5.8-1
> 
> 
> 
> If I attempt to install various versions of perl-net-snmp:
> Problem 1/1
> nothing provides perl5_026 needed by perl-net-snmp-5.7.2-2
> Solution 1/1 (default)
>    - do not ask to install perl-net-snmp-5.7.2-2
> 
> Problem 1/1
> nothing provides perl5_026 needed by perl-net-snmp-5.7.3-1
> Solution 1/1 (default)
>    - do not ask to install perl-net-snmp-5.7.3-1
> 
> Problem 1/1
> package perl-net-snmp-5.8-1 requires perl5_030, but none of the
> providers can be installed
> Solution 1/1 (default)
>    - do not ask to install perl-net-snmp-5.8-1
> 
> So the root cause appears to be a problem finding perl5_030 or perl5_026.
> 
> Any suggestions?

Should be satisfied by Cygwin Setup with recent perl_base but you may 
have to pick explicit version 5.30.3-1 or perl-net-snmp needs updated to 
current:

$ awk -v'RS=\n@ ' -F'\n' '/provides: perl5_0/' ~/mirror/x86_64/setup.ini
perl_base
sdesc: "Perl programming language interpreter"
ldesc: "Perl programming language interpreter

Minimal install intended for use by Base packages."
category: Interpreters Perl
requires: cygwin libcrypt2 perl_autorebase
version: 5.32.1-2
install: x86_64/release/perl/perl_base/perl_base-5.32.1-2.tar.zst 
3535254 
21cfd8a48cccbb17ab4bca82544ba201e4c71c27079a7db991c11ed32763ec1b061fca5596c82130cb403187cb344a32fc1c2790b69bd5c0a416833984e8e091
source: x86_64/release/perl/perl-5.32.1-2-src.tar.zst 12620342 
183471f03264bce46519792025adf0b522ba9b30d8acdaccdb62971068b2d40f51d435431d243382b29b8ed1e38b811248964fc054813e901168b25e078b81a2
depends2: cygwin, libcrypt2, perl_autorebase
obsoletes: perl-CPAN-Meta, perl-CPAN-Meta-Requirements, perl-Carp, 
perl-Config-Perl-V, perl-Crypt-OpenSSL-ECDSA, perl-Data-Alias, 
perl-Gnome2, perl-Gnome2-Canvas, perl-Gnome2-GConf, perl-Gnome2-Rsvg, 
perl-Gnome2-VFS, perl-Gnome2-Vte, perl-Gnome2-Wnck, perl-Gtk2, 
perl-Gtk2-GladeXML, perl-Gtk2-Notify, perl-Gtk2-SourceView2, 
perl-Gtk2-Spell, perl-Gtk2-Unique, perl-Gtk2-WebKit, 
perl-Module-Load-Conditional, perl-Pod-Simple, perl-Win32, perl-XSLoader
build-depends: cygport
provides: perl5_032
[prev]
version: 5.30.3-1
install: x86_64/release/perl/perl_base/perl_base-5.30.3-1.tar.xz 3199864 
d9e9747aff88707b34b74b7f8fb4f409b8b3117a6dacca8e1a0110268e08a4cd942c59d2a170759f431a4bf372872ff340b79281626fcd8058b954299a7a0552
source: x86_64/release/perl/perl-5.30.3-1-src.tar.xz 12391460 
5071e64e1338050cf790c219b2165f092e5f991fbdc31671ab6d2bdb30c20b528e279a304587ca1d57016e58cd6f6a1799616517ae7dc57ce6031bb9ea393f5d
depends2: cygwin, libcrypt2
build-depends: cygport
provides: perl5_030

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple